#
# Conditional build:
%bcond_without	apidocs		# Sphinx based documentation
%bcond_with	system_libs	# use system modules (appdirs, packaging, pyparsing, six) # TODO
%bcond_with	tests		# py.test tests (few failures)
%bcond_with	bootstrap	# convenience alias for without: apidocs,system_libs,tests

%if %{with bootstrap}
%undefine	with_apidocs
%undefine	with_system_libs
%undefine	with_tests
%endif

%define		module		setuptools
%define		pypi_name	setuptools
Summary:	A collection of enhancements to the Python distutils
Summary(pl.UTF-8):	Zestaw rozszerzeń dla pythonowych distutils
Name:		python3-setuptools
Version:	54.2.0
Release:	1
Epoch:		1
License:	MIT
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/setuptools/
Source0:	https://files.pythonhosted.org/packages/source/s/setuptools/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	09f693b5d5ca8bf4fdb1da82f8110a9c
URL:		https://github.com/pypa/setuptools
%if %(locale -a | grep -q '^C\.utf8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	python3-modules >= 1:3.4
%if %{with system_libs}
# versions from pkg_resources/_vendor/vendored.txt
BuildRequires:	python3-appdirs >= 1.4.3
BuildRequires:	python3-packaging >= 19.2
BuildRequires:	python3-pyparsing >= 2.2.1
BuildRequires:	python3-six >= 1.10.0
%endif
BuildConflicts:	python3-distribute < 0.7
%if %{with tests}
BuildRequires:	python3-coverage >= 4.5.1
# FIXME: patch to use unittest.mock
#BuildRequires:	python3-mock
%if "%{py3_ver}" >= "3.6"
BuildRequires:	python3-paver
%endif
BuildRequires:	python3-pip >= 19.1
BuildRequires:	python3-pytest >= 3.7
BuildRequires:	python3-pytest-cov >= 2.5.1
BuildRequires:	python3-pytest-fixture-config
BuildRequires:	python3-pytest-flake8
BuildRequires:	python3-pytest-virtualenv >= 1.2.7
BuildRequires:	python3-virtualenv >= 13.0.0
BuildRequires:	python3-wheel
%endif
%if %{with apidocs}
BuildRequires:	python3-jaraco
BuildRequires:	python3-jaraco.packaging >= 6.1
BuildRequires:	python3-rst.linker >= 1.9
BuildRequires:	python3-setuptools >= 34
BuildRequires:	python3-tox
BuildRequires:	sphinx-pdg-3 >= 1.4
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	unzip
Requires:	python3-modules
%if %{with system_libs}
# versions from pkg_resources/_vendor/vendored.txt
Requires:	python3-appdirs >= 1.4.0
Requires:	python3-packaging >= 16.8
Requires:	python3-pyparsing >= 2.1.10
Requires:	python3-six >= 1.10.0
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
setuptools is a collection of enhancements to the Python distutils
that allow you to more easily build and distribute Python 2.x
packages, especially ones that have dependencies on other packages.

%description -l pl.UTF-8
setuptools to zestaw rozszerzeń do pythonowych distutils umożliwiający
łatwiejsze budowanie i rozprowadzanie pakietów Pythona 2.x,
szczególnie tych mających zależności od innych pakietów.

Ten pakiet zawiera składniki uruchomieniowe setuptools, potrzebne do
uruchamiania kodu wymagającego pkg_resources.py, przeznaczone dla
Pythona 2.x.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}

%if %{with system_libs}
exit 1 # TODO: unvendor modules from pkg_resources/_vendor
%endif

%build
LC_ALL=C.UTF-8 \
%py3_build

%{?with_tests:%{__python3} -m pytest pkg_resources/tests setuptools/tests tests}

%if %{with apidocs}
%{_bindir}/tox -e docs
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%{py3_sitescriptdir}//distutils-precedence.pth
%{py3_sitescriptdir}/_distutils_hack
%{py3_sitescriptdir}/pkg_resources
%{py3_sitescriptdir}/setuptools
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,*.html,*.js}
%endif
%changelog
* Sun Oct 10 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-setuptools.git;a=log;h=master

* Thu Apr 08 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a8a63e
- up to 54.2.0; builds without apidocs; easy_install gone upstream

* Thu Apr 08 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 3467658
- Python3 version as separate spec.

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> b43a791
- release 5 (by relup.sh)

* Fri Feb 26 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 1633eef
- release 4 (by relup.sh)

* Fri Feb 26 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 155a930
- release 3 (by relup.sh)

* Fri Feb 26 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fcdec1
- release 2 (by relup.sh)

* Wed Dec 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 403a922
- updated to 42.0.2; easy_install is deprecated now

* Wed Oct 30 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> f9cc246
- up to 41.6.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2da1a13
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Oct 25 2019 Jakub Bogusz <qboosh@pld-linux.org> ac973a2
- updated to 41.4.0

* Tue Oct 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 744badc
- updated dependencies; License is MIT since at least 19.5

* Thu Nov 08 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c37f86b
- up to 40.5.0

* Thu Sep 27 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f31e13
- up to 40.4.3

* Fri Sep 14 2018 Elan Ruusamäe <glen@pld-linux.org> 9fded6e
- use reusable source url

* Thu Aug 30 2018 Jan Palus <atler@pld-linux.org> be14e54
- up to 40.2.0

* Mon Jul 30 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 929b3f4
- six is always build-required

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ef7e1f
- BR unzip

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 505e497
- release 3 (by relup.sh)

* Mon Apr 23 2018 Mariusz Mazur <mmazur@axeos.com> 724eed2
- appdirs module needed even without tests

* Tue Apr 11 2017 Jakub Bogusz <qboosh@pld-linux.org> af1d3d4
- packaging always buildrequired; release 2

